Index: cpukit/backward/asm.h
===================================================================
--- cpukit/backward/asm.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/asm.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __asm_h
+#define __asm_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <asm.h> is deprecated, use <rtems/asm.h> instead
+#endif
+#include <rtems/asm.h>
+#endif
Index: cpukit/backward/chain.h
===================================================================
--- cpukit/backward/chain.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/chain.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __chain_h
+#define __chain_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <chain.h> is deprecated, use <rtems/chain.h> instead
+#endif
+#include <rtems/chain.h>
+#endif
Index: cpukit/backward/clockdrv.h
===================================================================
--- cpukit/backward/clockdrv.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/clockdrv.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __clockdrv_h
+#define __clockdrv_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <clockdrv.h> is deprecated, use <rtems/clockdrv.h> instead
+#endif
+#include <rtems/clockdrv.h>
+#endif
Index: cpukit/backward/console.h
===================================================================
--- cpukit/backward/console.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/console.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __console_h
+#define __console_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <console.h> is deprecated, use <rtems/console.h> instead
+#endif
+#include <rtems/console.h>
+#endif
Index: cpukit/backward/dosfs.h
===================================================================
--- cpukit/backward/dosfs.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/dosfs.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __dosfs_h
+#define __dosfs_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <dosfs.h> is deprecated, use <rtems/dosfs.h> instead
+#endif
+#include <rtems/dosfs.h>
+#endif
Index: cpukit/backward/imfs.h
===================================================================
--- cpukit/backward/imfs.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/imfs.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __imfs_h
+#define __imfs_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <imfs.h> is deprecated, use <rtems/imfs.h> instead
+#endif
+#include <rtems/imfs.h>
+#endif
Index: cpukit/backward/iosupp.h
===================================================================
--- cpukit/backward/iosupp.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/iosupp.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __iosupp_h
+#define __iosupp_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <iosupp.h> is deprecated, use <rtems/iosupp.h> instead
+#endif
+#include <rtems/iosupp.h>
+#endif
Index: cpukit/backward/itron.h
===================================================================
--- cpukit/backward/itron.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/itron.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __itron_h
+#define __itron_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <itron.h> is deprecated, use <rtems/itron.h> instead
+#endif
+#include <rtems/itron.h>
+#endif
Index: cpukit/backward/ringbuf.h
===================================================================
--- cpukit/backward/ringbuf.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/ringbuf.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __ringbuf_h
+#define __ringbuf_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <ringbuf.h> is deprecated, use <rtems/ringbuf.h> instead
+#endif
+#include <rtems/ringbuf.h>
+#endif
Index: cpukit/backward/rtc.h
===================================================================
--- cpukit/backward/rtc.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/rtc.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __rtc_h
+#define __rtc_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <rtc.h> is deprecated, use <rtems/rtc.h> instead
+#endif
+#include <rtems/rtc.h>
+#endif
Index: cpukit/backward/spurious.h
===================================================================
--- cpukit/backward/spurious.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/spurious.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __spurious_h
+#define __spurious_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <spurious.h> is deprecated, use <rtems/spurious.h> instead
+#endif
+#include <rtems/spurious.h>
+#endif
Index: cpukit/backward/timerdrv.h
===================================================================
--- cpukit/backward/timerdrv.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/timerdrv.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __timerdrv_h
+#define __timerdrv_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <timerdrv.h> is deprecated, use <rtems/timerdrv.h> instead
+#endif
+#include <rtems/timerdrv.h>
+#endif
Index: cpukit/backward/vmeintr.h
===================================================================
--- cpukit/backward/vmeintr.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
+++ cpukit/backward/vmeintr.h	(revision 04d13bc301771938cac7c5566b54b50070b88362)
@@ -0,0 +1,7 @@
+#ifndef __vmeintr_h
+#define __vmeintr_h
+#ifndef RTEMS_NO_WARN_DEPRECATED
+#warning <vmeintr.h> is deprecated, use <rtems/vmeintr.h> instead
+#endif
+#include <rtems/vmeintr.h>
+#endif
